Page MenuHomePhabricator

InternetArchiveBot Wiktionary support (enwikt, frwikt)
Closed, ResolvedPublic

Description

What would be needed to have this bot run on Wiktionary? Is it just configuration or are code changes required?

Event Timeline

jberkel created this task.Dec 2 2017, 9:39 AM
Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptDec 2 2017, 9:39 AM

Start a discussion on Wiktionary and get a consensus to invite IABot. Please link me to the discussion when it has finished.

Noe added a subscriber: Noe.Dec 13 2017, 11:55 AM

There is also a consensus in French Wiktionary to invite IABot too :)

@Noe excellent, one stone, two birds (une pierre deux coups?)

Cyberpower678 triaged this task as High priority.Jan 4 2018, 3:56 PM
Cyberpower678 moved this task from New feature to v2.0 on the InternetArchiveBot board.
Cyberpower678 added a comment.EditedJun 6 2018, 5:02 PM

@jberkel and @Noe Thanks for your patience. Do you think you could gather a couple of translators so we can get IABot prepped for approval? We need to configure the bot's setup for this wiki.

I need the bot approvals page to get the approvals process going.

With that being said can you answer the following questions and translate the following statements?

To translate:

  • External links modified ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
  • External links found that need fixing ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
  • Trouble archiving links on the article ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.
  • {link} is found to be dead. No archive was found.
  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.
  • Added archive {newarchive} to {link}
  • Replaced archive link {oldarchive} with {newarchive} on {link}
  • Corrected formatting/usage for {link}
  • Added {{tlx|dead link}} tag to {link}
  • Removed dead tag from {link}
  • Modified source for {link}
  • {problem} with error {error}
  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.
  • Notification of errors encountered when attempting to archive links
  • Notification of altered sources needing review

Questions:

  1. Do you want talk page messages?
  2. Do you use dead link templates and archive templates?
  3. Where are your cite templates?
  4. What is the typical formatting you use for time on Wikipedia and what other formats do you use, even the least popular ones?

EDIT: The translations actually already exist on frwiki, but feel free to retranslate it. :p

Restricted Application added a subscriber: Cirdan. · View Herald TranscriptJun 6 2018, 5:02 PM

@Cyberpower678 do you only need translations for frwikt? Is anything else needed from enwikt?

Thanks for your patience.

No problem, we're used to it :)

Do you want talk page messages?

What does this mean? Notification on talk pages? Sounds useful.

Do you use dead link templates and archive templates?

No

Where are your cite templates?

https://en.wiktionary.org/wiki/Template:cite-book (-journal, -song, etc., used for references)
https://en.wiktionary.org/wiki/Template:quote-book (used to add quotations to senses)

What is the typical formatting you use for time on Wikipedia

The cite templates take many input formats which get output as "Day Month, Year". Is this what you meant?

Ltrlg renamed this task from Wiktionary support to InternetArchiveBot Wiktionary support.Jun 7 2018, 6:19 PM
Ltrlg added a subscriber: Ltrlg.

@Cyberpower678 do you only need translations for frwikt? Is anything else needed from enwikt?

Thanks for your patience.

No problem, we're used to it :)

Do you want talk page messages?

What does this mean? Notification on talk pages? Sounds useful.

Do you use dead link templates and archive templates?

No

Where are your cite templates?

https://en.wiktionary.org/wiki/Template:cite-book (-journal, -song, etc., used for references)
https://en.wiktionary.org/wiki/Template:quote-book (used to add quotations to senses)

What is the typical formatting you use for time on Wikipedia

The cite templates take many input formats which get output as "Day Month, Year". Is this what you meant?

Yes. It's been shut off on enwiki because it was no longer deemed useful there given the bot's accuracy, but on new wikis, I would still recommend them.

As for the date format, if it's all converted anyways within the template, then I guess the point is moot. :p

As for needing translations, I'll just copy them from the frwiki config.

Can you guys provide me the link for both bot approvals pages on the respective wikis?

I need the bot approvals pages for both wikis, AFAIK, bots still need to go through approval and obtain the bot flag.

Sorry for the confusion, yes this is correct (I have not been through the process).

I noticed that User:InternetArchiveBot already exists. The approval vote form mentions links to example edits, I think most editors would want to see some edits before they cast a vote, and this is explicitly mentioned in the vote template. Would it be possible to run it on a few entries first?

Sorry for the confusion, yes this is correct (I have not been through the process).
I noticed that User:InternetArchiveBot already exists. The approval vote form mentions links to example edits, I think most editors would want to see some edits before they cast a vote, and this is explicitly mentioned in the vote template. Would it be possible to run it on a few entries first?

I don't quite understand. I need links. :-)

Policy:

Then, do a test run (under the bot account) on some 10-50 entries until you’re certain everything goes well (bots with a single function, like interwiki, should not run more than 25 edits). If the edits are minor (as most bot-performed tasks should be), please mark the edits as minor so that they do not swamp the Recent Changes list. If all goes well, post a request for bot status at the votes page.

https://en.wiktionary.org/wiki/Wiktionary:Bots

Bot vote template:

https://en.wiktionary.org/w/index.php?action=edit&preload=Template%3Avote-bot&editintro=Template%3Avote-bot-intro&title=Wiktionary:Votes/bt-2018-08/User:_for_bot_status&create=Start+a+new+Bot+vote%21

Policy:

Then, do a test run (under the bot account) on some 10-50 entries until you’re certain everything goes well (bots with a single function, like interwiki, should not run more than 25 edits). If the edits are minor (as most bot-performed tasks should be), please mark the edits as minor so that they do not swamp the Recent Changes list. If all goes well, post a request for bot status at the votes page.

https://en.wiktionary.org/wiki/Wiktionary:Bots
Bot vote template:
https://en.wiktionary.org/w/index.php?action=edit&preload=Template%3Avote-bot&editintro=Template%3Avote-bot-intro&title=Wiktionary:Votes/bt-2018-08/User:_for_bot_status&create=Start+a+new+Bot+vote%21

I created a vote page for my bot, but I have absolutely 0 idea how to transclude it to the main page over there. :\ I've never seen such an odd setup before. As for the edits, I will get those in soon.

jberkel closed this task as Resolved.Sep 5 2018, 12:56 PM
Cyberpower678 reopened this task as Open.Sep 5 2018, 12:57 PM

what's missing? frwikt support?

Yes. This is a 2 for one ticket. The second isn't ready yet.

jberkel renamed this task from InternetArchiveBot Wiktionary support to InternetArchiveBot Wiktionary support (enwikt, frwikt).Sep 5 2018, 1:07 PM
Cyberpower678 closed this task as Resolved.Nov 25 2018, 8:21 PM